com.tibco.tea.agent.api

## Class ObjectTypeId

- java.lang.Object
- - com.tibco.tea.agent.api.ObjectTypeId

- All Implemented Interfaces:
    Serializable

      public class ObjectTypeId
      extends Object
      implements Serializable

  This object handles the Object type id formatting The rule is as follows: 1.- When the objectTypeId is presented as a String, then the different parts of the id are separated by : and each of the parts are URL encoded. 2.- When the objectTypeId is split into its parts then this parts will be decoded.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ObjectTypeId` | `ROOT_OBJECT_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectTypeId(AgentTypeId agentTypeId, String objectTypeName)`
    `ObjectTypeId(String objectTypeId)` The format of the Object type id string should follow the following formatting: "agentTypeName:agentTypeVersion:objectTypeName" Note that every part separated by : MUST be encoded, it is imperative that ONLY the parts separated by : is encoded, not the objectTypeId as a whole, that will make impossible to break it down into its parts again.
    `ObjectTypeId(String agentTypeName, String agentTypeVersion, String objectTypeName)` Note: None of the parameters should be encoded, and must not be encoded when used separated from each other.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AgentTypeId` | `agentTypeId()`
    `String` | `agentTypeName()`
    `String` | `agentTypeVersion()`
    `boolean` | `equals(Object obj)`
    `static String` | `escapeIdFragment(String fragment)`
    `int` | `hashCode()`
    `String` | `objectTypeName()`
    `String` | `toString()`
    `static String` | `unEscapeIdFragment(String fragment)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ROOT_OBJECT_TYPE

          public static final ObjectTypeId ROOT_OBJECT_TYPE

  - ### Constructor Detail

    - #### ObjectTypeId

          public ObjectTypeId(String objectTypeId)

      The format of the Object type id string should follow the following formatting: "agentTypeName:agentTypeVersion:objectTypeName" Note that every part separated by : MUST be encoded, it is imperative that ONLY the parts separated by : is encoded, not the objectTypeId as a whole, that will make impossible to break it down into its parts again. If the objectTypeId came from the UI it will be encoded already, so no need to encode it again.
      Parameters:
        `objectTypeId` -

    - #### ObjectTypeId

          public ObjectTypeId(String agentTypeName,
                              String agentTypeVersion,
                              String objectTypeName)

      Note: None of the parameters should be encoded, and must not be encoded when used separated from each other. Only will get encoded when joined together in a String
      Parameters:
        `agentTypeName` -
        `agentTypeVersion` -
        `objectTypeName` -

    - #### ObjectTypeId

          public ObjectTypeId(AgentTypeId agentTypeId,
                              String objectTypeName)

  - ### Method Detail

    - #### agentTypeName

          public String agentTypeName()

      Returns:
        the agentTypeName

    - #### agentTypeVersion

          public String agentTypeVersion()

      Returns:
        the agentTypeVersion

    - #### agentTypeId

          public AgentTypeId agentTypeId()

    - #### objectTypeName

          public String objectTypeName()

      Returns:
        the objectTypeName

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### escapeIdFragment

          public static String escapeIdFragment(String fragment)

    - #### unEscapeIdFragment

          public static String unEscapeIdFragment(String fragment)

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

Copyright © 2022 TIBCO Software Inc.. All Rights Reserved.